Subject: Re: linux-next: manual merge of the gfs2 tree with the vfs tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 12 Jul 2019 10:56:56 +1000

Hi all,

On Mon, 8 Jul 2019 13:48:42 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the gfs2 tree got a conflict in:
> 
>   fs/gfs2/super.c
> 
> between commit:
> 
>   000c8e591016 ("gfs2: Convert gfs2 to fs_context")
> 
> from the vfs tree and commit:
> 
>   5b3a9f348bc5 ("gfs2: kthread and remount improvements")
> 
> from the gfs2 tree.
> 
> I fixed it up (I just used the vfs tree version since it removed some of
> the code modified by the latter) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

This is now a conflict between the vfs tree and Linus' tree.
-- 
Cheers,
Stephen Rothwell